import service from '@/utils/service'

const baseUrl = process.env.VUE_APP_HOST + '/manager/api'

const logInfoApi = {};

logInfoApi.baseUrl = baseUrl;


logInfoApi.getLoginLogList = params => {
    return service({
        url: `${baseUrl}/whiteList/loginList`,
        method: 'get',
        params: params
    })
};
logInfoApi.getLoginLogByUid = params => {
    return service({
        url: `${baseUrl}/whiteList/getLoginLogByUid`,
        method: 'get',
        params: params
    })
};
logInfoApi.banPerson = params =>{
    return service({
        url: `${baseUrl}/whiteList/ban`,
        method: 'post',
        params: params
    })
};


// ↓ whiteListApi


logInfoApi.getWhiteList = params =>{
    return service({
        url: `${baseUrl}/whiteList/list`,
        method: 'get',
        params: params
    })
};
logInfoApi.addWhiteList = data =>{
    return service({
        url: `${baseUrl}/whiteList/v1`,
        method: 'post',
        data: data
    })
};
logInfoApi.deleteWhiteList = id =>{
    return service({
        url: `${baseUrl}/whiteList/v1/${id}`,
        method: 'delete',
    })
};





export default logInfoApi
